cascading.flow.stream.duct

## Class Duct<Incoming,Outgoing>

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>

Direct Known Subclasses:
  CloseReducingDuct, Fork, Gate, OpenDuct, OpenReducingDuct, OrdinalDuct, Stage

    public abstract class Duct<Incoming,Outgoing>
    extends java.lang.Object

### Field Summary

Fields
`protected Duct<Outgoing,?>` `next`

### Method Summary

Methods
`void` `bind(StreamGraph streamGraph)`
`void` `cleanup()`
`void` `complete(Duct previous)`
`Duct` `getNext()`
`protected Duct` `getNextFor(StreamGraph streamGraph)`
`void` `initialize()` Called immediately after bind
`void` `prepare()`
`abstract void` `receive(Duct previous, int ordinal, Incoming incoming)`
`void` `receiveFirst(Incoming incoming)`
`void` `start(Duct previous)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### next

    protected Duct<Outgoing,?> next

### Method Detail

#### getNext

    public Duct getNext()

#### bind

    public void bind(StreamGraph streamGraph)

#### getNextFor

    protected Duct getNextFor(StreamGraph streamGraph)

#### initialize

    public void initialize()

Called immediately after bind

#### prepare

    public void prepare()

#### receiveFirst

    public final void receiveFirst(Incoming incoming)

#### start

    public void start(Duct previous)

#### receive

    public abstract void receive(Duct previous,
               int ordinal,
               Incoming incoming)

#### complete

    public void complete(Duct previous)

#### cleanup

    public void cleanup()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`